﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Tempesta.Web.Syndication
{
	/// <summary>
	/// Object-oriented representation of an RSS XML feed.
	/// </summary>
	public class RssFeed
	{
		/// <summary>
		/// The channel in the RSS feed represented as an instance of the <c>RssChannel</c> class.
		/// </summary>
		public RssChannel Channel { get; set; }

		/// <summary>
		/// Initializes a new instance of the <c>RssFeed</c> class and creates an empty Channel.
		/// </summary>
		public RssFeed()
		{
			Channel = new RssChannel("{No Title}", new Uri("http://www.stefanotempesta.net/rss"), "{No Description}");
		}

		/// <summary>
		/// Add an item to the channel.
		/// This is a shortcut for Channel.AddItem().
		/// </summary>
		/// <param name="item">Instance of the item to add.</param>
		/// <exception cref="System.ArgumentNullException">If item is null.</exception>
		public void AddItem(RssItem item)
		{
			Channel.AddItem(item);
		}
	}
}
